ECRI
Unschedule ECRI for unit rental records
Unschedules an Effective Current Rent Increase (ECRI) for one or more unit rental records
PATCH
/
api
/
{portfolio}
/
portfolios
/
v1
/
ecri
/
unschedule
Unschedule ECRI for unit rental records
curl --request PATCH \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/ecri/unschedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"unitRentalRecordUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/ecri/unschedule"
payload = { "unitRentalRecordUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({unitRentalRecordUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/ecri/unschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Array of unit rental record UUIDs (max 100 items)
Response
ECRI unscheduled successfully
Previous
Get scheduled ECRIsRetrieves scheduled ECRIs with optional filters. Returns all scheduled ECRIs if no filters are provided.
Next
⌘I
Unschedule ECRI for unit rental records

